<template>
  <div class="button" @click="noMultipleClicks(clickHandler)">
    {{ title }}
  </div>
</template>

<script>
import {myMixins} from "@/utils/myMixins"
  export default {
    name: "commonBtn",
    mixins:[myMixins],
    data(){
      return{
        noClick:true
      }
    },
    props: {
      title: {
        type: String,
        default: '提交'
      }
    },
    methods: {
      clickHandler() {
        this.$emit('submitClick')
      }
    }
  }
</script>

<style scoped lang="scss">
@import "@/styles/mixin.scss";
.button {
  position: absolute;
  bottom: 30px;
  border-radius: 5px;
  text-align: center;
  @include bgFontColor(#FFFFFF,#354D93);
  @include fontWeightSize(bold,15px);
  @include whLin(88%,48px);
}
</style>
